QGIS Application - Bug report #14665
GDAL/Processing toolbox graphical modeller fails during Warp algorithm
2016-04-12 04:47 AM - Janos Meszaros

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Modeller

Affected QGIS version:2.14.1 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 22629
Description

A small Graphical modeller model was created to merge and warp two raster layers and finally clip this mosaic by a vector layer
(containing a polygon). Unfortunately, it failed so | started to delete steps backwards and finally it found out that in Warp step algorithm
missing/fails an ESRI Shapefile or its CRS info. Same model was tested on other computers and it also failed with the same datasets.
| used latest QGIS version, installed with OSGeo4W on Win10 and Win8.1, both 64bit.

Log of my model in a textfile, the model and two raster file as input data to reconstruct my problem are attached.

History

#1 - 2016-04-26 10:06 AM - Alexander Bruy
- Tag deleted (gdal, warp, graphical modeller)
- Status changed from Open to Feedback

| can't reproduce you error: there is nothing about shapefiles in Processing log when | execute your model. When | try to perform reprojection of the merged
raster using GDAL commandline tools | get following error

Creating output file that is OP x OL.

ERROR 1: Attempt to create 0x0 dataset is illegal,sizes must be larger than zero.

Seems something wrong with your data.

#2 - 2016-05-02 08:48 AM - Janos Meszaros

Raster layers are OK if | want to merge visualize or edit them somehow. Sad that my error could not be reproducable, did you tested the model file, too? Is
it sure that GDAL algorithms are working properly?

#3 - 2016-05-23 03:22 AM - Giovanni Manghi

see also #14868

there issue is the same (SHP set as output format for an operation that only output rasters).

#4 - 2016-05-23 07:41 AM - Giovanni Manghi

- Resolution set to invalid
- Status changed from Feedback to Closed
See #14868

problem solved by purging the .qgis2 folder. Likely to be the same issue as here. Please reopen if necessary.

Files

graphical_modeller_log.txt 2.25KB 2016-04-12 Janos Meszaros
raster_clipper.model 6.12 KB 2016-04-12 Janos Meszaros
srtmO1..tif 171 KB 2016-04-12 Janos Meszaros
srtm02.tif 152 KB 2016-04-12 Janos Meszaros
